Name:           python-torcheeg
Version:        1.1.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        TorchEEG is a library built on PyTorch for EEG signal analysis. TorchEEG aims to provide a plug-and-play EEG analysis tool, so that researchers can quickly reproduce EEG analysis work and start new EEG analysis research without paying attention to technical details unrelated to the research focus.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/tczhangzhi/torcheeg
Source:         %{pypi_source torcheeg}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'torcheeg' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-torcheeg
Summary:        %{summary}

%description -n python3-torcheeg %_description


%prep
%autosetup -p1 -n torcheeg-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-torcheeg -f %{pyproject_files}


%changelog
%autochangelog